Скоро Codeforces Round 1133 (Div. 1, Div. 2)! Регистрация здесь. ×

Блог пользователя BledDest

Автор BledDest, история, 23 месяца назад, перевод, По-русски

Привет, Codeforces!

В Dec/22/2024 17:35 (Moscow time) начнется Codeforces Round 995 (Div. 3) — очередной раунд для третьего дивизиона. В этом раунде будет 7 задач, по сложности подходящих для участников с рейтингом до 1600 (во всяком случае, мы надеемся на это). Но, конечно же, участники с рейтингом 1600 и выше могут зарегистрироваться на раунд вне конкурса. Участники с рейтингом ниже 1600 также могут использовать нерейтинговую регистрацию, чтобы поучаствовать в раунде вне конкурса.

Раунд пройдет по правилам образовательных раундов. Таким образом, во время раунда задачи будут тестироваться на предварительных тестах, а после раунда будет 12-ти часовая фаза открытых взломов (мы очень надеемся, что в течение нее упадет не очень много решений).

У вас будет 2 часа и 15 минут на то, чтобы решить 7 задач. Штраф за неверную посылку будет равняться 10 минутам.

Напоминаем, что в таблицу официальных результатов попадут только достоверные участники третьего дивизиона. Как написано по ссылке — это вынужденная мера для борьбы с неспортивным поведением. Для квалификации в качестве достоверного участника третьего дивизиона надо:

  • принять участие не менее чем в двух рейтинговых раундах (и решить в каждом из них хотя бы одну задачу),
  • не иметь в рейтинге точку 1900 или выше.

Независимо от того, являетесь вы достоверными участниками третьего дивизиона или нет, если ваш рейтинг менее 1600, то раунд для вас будет рейтинговым.

Раунд основан на задачах муниципального этапа Всероссийской олимпиады школьников в Саратове и Саратовской области, поэтому если вы участвовали в нем — пожалуйста, воздержитесь от официального участия в этом раунде.

Задачи со мной готовили Neon, fcspartakm, awoo и adedalic. Надеемся, они вам понравятся!

Мы хотели бы поблагодарить MikeMirzayanov за платформы Codeforces и Polygon, а также Vladosiya за координацию подготовки раунда.

Контест тестировали: shnirelman, k1sara, leovl48, jai_hanuman_orz, saba_goduadze, JuicyGrape, RohitLakra и rahmanmehraj627. Спасибо вам за то, что помогли нам более точно оценить сложности задач и избавиться от двусмысленных моментов в условиях!

Удачи, увидимся на раунде!

  • Проголосовать: нравится
  • +189
  • Проголосовать: не нравится

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Are the problems going to be like educational rounds?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

how about score distribution?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +5 Проголосовать: не нравится

I hope to get rid of this color in this contest. Best of luck to yall too \(^~^)/

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

hope to reach 1500+)

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Please, green leave me.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

i will be a pupil in this contest

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Div 3(EDU)

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Hope to become expert today. What do you think.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

there might not be any newbies and pupils in this contest (magic)

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

heyy! i'm new here, actually this is my first time and i want to know how to get points and can i join this if i don't have any ? and please what kind of problems are going to solved? is it programming ? and if so what lang is used ? i am sorry if this sounds dump i just want to understand more :)

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Hoping to get to pupil int this Div 3. Wishing everyone luck including me :3

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +5 Проголосовать: не нравится

orz leovl48

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

am i getting dumber or people are getting smarter?????

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I've been thinking about problem G and I'm curious now, did someone solve it using TSP?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

G was cool, thx

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Damn, I think I could have solved either F or G in time (and I was slow in beginning)... but considering that I did the contest while in a car lol ... not bad.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Did E require binary search?

I couldn't form the predicate function but will upsolve

  • »
    »
    23 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Yeah, just sort and binary search on the left and right bounds for the interval to pair with the current element (when iterating through from left to right). be sure to pair with only elements that come after the current one.

    • »
      »
      »
      23 месяца назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится

      You're thinking of D. He's asking about E which I also thought was binary/ternary search but couldn't figure out

      • »
        »
        »
        »
        23 месяца назад, скрыть # ^ |
         
        Проголосовать: нравится +1 Проголосовать: не нравится

        Oh yeah, E was like interval processing. I didn't use binary search. Just maintain a map from (price) to (type of event), where each event is the start of an interval of the form (a_i, b_i] or the form (b_i, infinity). We basically iterate through these events in order and maintain the number of customers in the 0-a and a-b intervals, calculate the corresponding answer at interesting points, and only consider answers whenever the corresponding number of people in the a-b intervals is <= k.

        • »
          »
          »
          »
          »
          23 месяца назад, скрыть # ^ |
           
          Проголосовать: нравится 0 Проголосовать: не нравится

          could you share your solution?

          from what I see it's a line sweep/greedy question

          • »
            »
            »
            »
            »
            »
            23 месяца назад, скрыть # ^ |
             
            Проголосовать: нравится 0 Проголосовать: не нравится
            void solve() {
                int n, k;
                cin >> n >> k;
                
                vector<int> a(n), b(n);
                map<int, vector<pair<int, int>>> occ;
                set<int> eval;
                
                for (int i = 0; i < n; i++) cin >> a[i];
                for (int i = 0; i < n; i++) cin >> b[i];
             
                for (int i = 0; i < n; i++) {
                    occ[a[i]+1ll].push_back({1ll, i});
                    occ[b[i]+1ll].push_back({2ll, i});
             
                    eval.insert(a[i]);
                    eval.insert(a[i]+1ll);
                    eval.insert(b[i]);
                    eval.insert(b[i]+1ll);
                }
             
                int int1 = n;
                int int2 = 0;
                
                int ans = 0;
             
                for (auto i : eval) {
                    for (auto j : occ[i]) {
                        int tp = j.first;
                        int ind = j.second;
                        
                        if (tp == 1) {
                            int1--;
                            int2++;
                        } else {
                            int2--;
                        }
                    }
             
                    if (int2 <= k) {
                        ans = max(ans, (int1+int2)*i);
                    }
                }
             
                cout << ans << endl;
            } 
             
            signed main() {
                cin.tie(0)->sync_with_stdio(0);
             
                int t;
                cin >> t;
             
                while (t--) {
                    solve();
                }
            }
            
  • »
    »
    23 месяца назад, скрыть # ^ |
    ← Rev. 3  
    Проголосовать: нравится 0 Проголосовать: не нравится

    I did E without any binary search. I used a priority queue to simulate the "events" than happen when reaching a number, and maintain 3 counts (Positives = 0, Negatives = 0, Unprocessed = n).

    • At a[i]: Positives++, Unprocessed--
    • At a[i] + 1: Positives--, Negatives++
    • At b[i]: Counts don't change, but this is where you can also take it as the cost of the tree to sell.
    • At b[i] + 1: Negatives--

    After each "timestamp" is done, check if Negatives <= k then the current sum can be calculate as cost * (Positives + Negatives + Unprocessed) (The value at the moment can be taken as the cost).

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +11 Проголосовать: не нравится

Great contest! Every division 3 should be like this. All the problems were nice and educational.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Is problem E binary search?

  • »
    »
    23 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Problem E: you can do it in 2 ways, 1st — Prove that the answer lies in the unique pairs of (ai, bi) always, can be proved using forming the loss function as we do in ternary search and observing that its convex, 2nd — use generic binary search with low =0, high = max(bi) and then check for each mid if we are well within the limits of <= k negative reviews if we are then find how many are willing to pay * mid, and find the max accordingly

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Is G about shortest hamilton path?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

okay so 20 rounds of stress tests with $$$n$$$ being 2000 were not sufficient to debug my E. 297881571

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

did anyone solved D by saving the frequency of each number occurs in a map? I got memory limited Exceeded, but i'm struggling to understand why i got that.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can somebody give some hints regarding Problem F and G? Thanks.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Amazing contest! E was a cool line sweep problem! Thanks for the round Neon fcspartakm awoo adedalic BledDest and all testers!

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Problem E: why the output of last test case of problem E is not 18 but 15 ? I think price should be 9 and can buy 2 customers. what have I missed in the statement?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can anyone help me why my logic for E is wrong? 297944262

  • »
    »
    22 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Your isValid() is not suitable for binary search because it produces "ok" values for small prices, then it may produce some -1 for larger prices, and then again "ok" for even larger prices.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Usually I'm using C++, but for D, I turned to python for the convinience of SortedList to find how many numbers are smaller than a given number.

I'm wondering if there's an handy equivalent in C++?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

e

why wasn't sweep line method working in E?

»
23 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

A Different idea for Problem E:

Let the Earnings Function be :

Earnings(p)= p × (number of customers who buy at price p)

Since the function changes it's values only at (ai, bi). There is no need to consider prices outside the set of unique values from ai​ and bi​, as the earnings function does not change between these points.

Hence we can store the unique pairs of (a,b), and then find the lower bound considering a and then using b.

Why this works?
»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

isn't E ternary search(ish) ?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Estimated rating for each problem?

»
23 месяца назад, скрыть # |
← Rev. 4  
Проголосовать: нравится 0 Проголосовать: не нравится

Why does this binary search logic not work on E ?

  • As we keep increasing the price, there will be a price at which the number of negative reviews will be greater than K. Use binary search to find that price. Let that price be P.

  • Now, between 1 and P, we need to find the price at which the profit will be maximum. As we keep increasing the price, the number of customers who will buy will decrease. So, the graph of profit will look like a unimodal function (am I wrong to assume this ?), where the profit first increases then decreases. So, we can use ternary search.

Code
  • »
    »
    23 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    It behaves like a piecewise constant function rather than unimodal, as the function only changes values at different values of (ai, bi). So the answer must lie in the different unique values of ai and bi, then you can use trivial binary search or do like I did, here

  • »
    »
    23 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    You can find that while the price is higher than the max price, there will be no customers buying, and at the same time,there will be no customers giving negative reviews. So your point 1 is wrong, because the number of negative reviews may decrease when you're higher the price.

  • »
    »
    23 месяца назад, скрыть # ^ |
    ← Rev. 2  
    Проголосовать: нравится 0 Проголосовать: не нравится

    there will be a price at which the number of negative reviews will be greater than K

    This assumption is wrong, for a quick example.

    3 2
    1 3 5
    2 4 6
    
»
23 месяца назад, скрыть # |
 
Проголосовать: нравится -7 Проголосовать: не нравится

Multiple contestants with ChatGPT, they didn't try to hide it either, crazy: bdyby10001 NeVeDlE dikshit_barla Ak.24 donshaaab ynotme 028 budarin.028472

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

From what I see, n and m in all test cases of problem C are equal (Except for 1 case in the sample), is it intentionally weak like this?

»
23 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

codes of higher rated folks look similar for problem F. Is this a standard trick/idea or smth ?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +15 Проголосовать: не нравится

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

brute force and AC in F Can someone hack my code? code

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

If i set my price to p , all the buyers who have b>=p will buy , so regardless of how i set the price , all the people having a greater b[i] would but it. This inpires me to sort the people in non decreasing order of thier b. Consider this arrangement to be an array , now , for any price , only a suffix of the array would be buying trees. So,i will iterate on every possible suffix and see whats the best I can do. Consider the suffix i .... n-1,i aspire for all these people to buy trees I can set the price to be atmost b[i] , because more than that , the ith perosn won't be able to buy Also , i can set the price to be atmost the (k+1)th largest value in the suffix ai , ai+1 , ... an-1 , because keeping my price more than that would imply more than k bad reviews , if there are less than k+1 distinct elements in the suffix i of a , no added constraint , we can set the price to be b[I].So I set the price p to be min(b[I] , (k+1)th largest element of suffix a[I] , if any).Please note that i talk about a[i] and b[i] not in the priginal order , but in order sorted according to b in increasing order. Don't worry about the time complexity for now , just tell me is my approach optimal? I have implemented this using a fenwick tree in nlogn

Someone please point out a flaw in this approach

»
23 месяца назад, скрыть # |
← Rev. 4  
Проголосовать: нравится 0 Проголосовать: не нравится

Can anyone find an error in the following logic for E.

First calculate the maximum price that is possible so that at most k negative reviews are received. This can be done by sorting all ai values and finding the k+1th value in the A array. Now check for all values of b which are smaller than the MAX_PRICE which we calculated earlier and then calculate the maximum revenue.

If this logic is right than why my code is not working 297928615

  • »
    »
    23 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Since we can now see test cases, your code fails on this test

    4 2
    8 13 6 1
    9 15 14 4
    

    It should return 28, but returns 24.

    One place your assumption is wrong is that it assumes forgets that if a customer doesn't buy a tree, they don't leave a bad review

    1
    4 1
    1 3 5 100
    6 6 6 1000
    

    Here's a simpler example of where your code goes wrong. The correct answer would be 1000, as the last customer would buy the tree and leave a bad review, and nobody else would buy it. However, your code returns 12, as 3 is the first value in which exceeding it would result in 2 negative reviews.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can anyone explain the logic for E in easiest way possible.

  • »
    »
    23 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится +1 Проголосовать: не нравится

    The First idea is that the only values possible for the price of a tree are ai and bj for any i and j. The logic behind that is that if you choose any value that is neither an ai or bj then you can increase your value until your value already exists in A array or B array without getting an extra negative review or losing a customer entirely. If you understand this idea than rest is easy. For each ai and bi you can calculate the total revenue. lets set the price of a tree to be X then the number of negative reviews are the number of elements smaller than X in A array minus the number of elements that are smaller than X in B array .The customer not buying the tree will not leave a negative review. Now if for X the negative reviews are at most k than calculate the total number of people that can buy the tree * X .

    CODE-297957125

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can we solve F using dsu?

»
23 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится
»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

how to reach tourist?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Hey codeforces, Recently i participated in a codeforces round 995, in that contest, probably someone copied my code and hence our code matched, and that probably resulted in me being shadow banned, my rating didnt change, and others cant see my profile, kindly consider it, and remove the ban

  • »
    »
    22 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Don't worry, your rating only changes after the hacking period is over (12 hours after the contest ends). Additionally, if someone copies your code, you will receive a notification that they found code similarity, but you will not be penalized (and I can verify that you haven't been penalized as your submissions have not been skipped)

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

I participated as rated but why did I get under the unrated category please tell me.

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Only real men solve E using Fenwick tree

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

It says:

"Regardless of whether you are a trusted participant of the third division or not, if your rating is less than 1600, then the round will be rated for you."

However for some reason, the round wasn't rated for me. Any idea what I did wrong? I've registered a few hours before.

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

My solution didn't pass system testing again. I'm so tired of it! You having no brain and not being able to create proper tests shouldn't be my problem!

  • »
    »
    22 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится +1 Проголосовать: не нравится

    Bruh, imagine not writing the proper code, and then blame authors for not writing proper tests. I mean sure, the tests are weak, but that doesn't change the fact that your code is wrong in the first place.

    • »
      »
      »
      22 месяца назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится

      How am I supposed ro know if my code is wrong or not if it doesnt tell me properly?

      • »
        »
        »
        »
        22 месяца назад, скрыть # ^ |
         
        Проголосовать: нравится 0 Проголосовать: не нравится

        The whole concept of the hacking phase is for people to hack solutions that are "slightly" wrong, or take too much time on some test cases, etc.

        In the recent years, pre-tests tend to be stronger, but that doesn't mean you shouldn't verify your own logic before submitting (Or even after submitting, then you need to submit again to make sure it is accepted).

        • »
          »
          »
          »
          »
          22 месяца назад, скрыть # ^ |
           
          Проголосовать: нравится 0 Проголосовать: не нравится

          Ok then can you please tell me whats wrong with my code on C ~~~~~

          include <bits/stdc++.h>

          using namespace std; typedef long long ll; typedef long double ld; typedef __int128_t vl;

          define pb push_back

          const ll mod = 1e9 + 7; ll fpow(ll a, ll b) { if (b == 0) { return 1; } if (b == 1) { return a % mod; } if (b % 2 == 0) { return fpow((a * a) % mod, b / 2); } else { return (fpow((a * a) % mod, b / 2) * a) % mod; } } void solve() { ll n, m, k; cin >> n >> m >> k; vector q(k); vector a(m); for (int i = 0; i < m; ++i) { cin >> a[i]; } vector kn(n + 1, 0); for (int i = 0; i < k; ++i) { cin >> q[i]; kn[q[i]] = 1; } ll cz = 0; for (ll i : kn) { if (!i) { cz++; } } cz--; if (cz == 0) { for (int i = 0; i < m; ++i) { cout << 1; } } else if (cz >= 2) { for (int i = 0; i < m; ++i) { cout << 0; } } else { for (int i = 1; i <= m; ++i) { if (kn[i] == 0) { cout << 1; } else { cout << 0; } } } cout << endl; } int main() { cin.tie(nullptr), cout.tie(nullptr); ios_base::sync_with_stdio(false); ll tt = 1; cin >> tt; while (tt--) { solve(); } return 0; } ~~~~~

»
22 месяца назад, скрыть # |
← Rev. 3  
Проголосовать: нравится 0 Проголосовать: не нравится

WTF about todays C , it got accepted during contest in PyPy3 and now it is Runtime error on Test 8. Even i had wrote O(1) solution. Here's my submission 297844756

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Would someone care to take a look at my submission for problem C and explain why my code outputs a non-alphanumeric character? (If it wasn't for that, I would have got it AC, as per pre-contest test cases. After the system testing, my solution somehow fails.)

»
22 месяца назад, скрыть # |
← Rev. 3  
Проголосовать: нравится 0 Проголосовать: не нравится

.

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

BledDest Why the hell are the pretests so weak ? I confused m with n in Problem C(a very dumb, but a very big error nonetheless) and my wrong code passed all pretests and failed on system testing ? Kicking myself so hard now :(.

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

have everyone got ratings of this contest?

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

Why rating changes are taking so much time?

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Optimistically I think BledDest is preparing a gift for everyone's ratings :)

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

298058215

Can anyone tell me why my code is failing?

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

https://codeforces.me/contest/2051/submission/298065204

Why is my submission getting a TLE can someone explain please.

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I think there is some problem in rankings. My rank in common standings(trusted participants only) is 5439 but my rank that is used for rating change is 6233. BledDest , please look into this.

  • »
    »
    22 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Ratings are calculated among all participants who had <1600 rating prior to the contest (except those who explicitly opted out of being rated). Untrusted participants are also eligible for being rated, so the rank used for calculating rating is different from the one in the official standings.

»
22 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I think there is some problem in rankings. My rank in common standings(trusted participants only) is 5439 but my rank that is used for rating change is 6233. BledDest , please look into this.

»
22 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +1 Проголосовать: не нравится

Worst Contest Ever to be made.I hate this contest as well as its questions.Lost rating because of stupid weak pretest on C.